% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/xmu.r
\name{xmu_twin_check}
\alias{xmu_twin_check}
\title{Check basic aspects of input for twin models}
\usage{
xmu_twin_check(selDVs, dzData = dzData, mzData = mzData, optimizer = NULL,
  suffix = suffix, nSib = 2)
}
\arguments{
\item{selDVs}{the variables expected to be in the data}

\item{dzData}{the dat for DZ twins}

\item{mzData}{the MZ twin data}

\item{optimizer}{if you want to change it}

\item{suffix}{creating variable names}

\item{nSib}{Likely 2 (the default)}
}
\value{
-
}
\description{
Check that DVs are in the data, that the data have rows, set the optimizer if requested
}
\references{
- \url{https://github.com/tbates/umx}, \url{https://tbates.github.io}
# TODO examples
}
\seealso{
- \code{\link{umxLabel}}

Other Twin Modeling Functions: \code{\link{plot.MxModel}},
  \code{\link{umxACESexLim}},
  \code{\link{umxACE_cov_fixed}}, \code{\link{umxACEcov}},
  \code{\link{umxACEv}}, \code{\link{umxACE}},
  \code{\link{umxCF_SexLim}}, \code{\link{umxCP}},
  \code{\link{umxGxE_window}}, \code{\link{umxGxE}},
  \code{\link{umxIP}}, \code{\link{umxPlotACEcov}},
  \code{\link{umxPlotCP}}, \code{\link{umxPlotGxE}},
  \code{\link{umxPlotIP}}, \code{\link{umxReduceACE}},
  \code{\link{umxSummaryACEcov}},
  \code{\link{umxSummaryACEv}},
  \code{\link{umxSummaryACE}}, \code{\link{umxSummaryCP}},
  \code{\link{umxSummaryGxE}}, \code{\link{umxSummaryIP}},
  \code{\link{umx_long2wide}}, \code{\link{umx_wide2long}},
  \code{\link{umx}}

Other Miscellaneous Functions: \code{\link{install.OpenMx}},
  \code{\link{umx_get_options}},
  \code{\link{umx_is_class}}, \code{\link{umx_is_numeric}},
  \code{\link{umx_open_CRAN_page}}, \code{\link{umx_pad}}
}
